Bug 103932 - krdc fails to open a connection to a smb:// url
Summary: krdc fails to open a connection to a smb:// url
Status: RESOLVED FIXED
Alias: None
Product: krdc
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Jaison Lee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-04-15 08:24 UTC by Isaac Clerencia
Modified: 2008-01-11 02:54 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Isaac Clerencia 2005-04-15 08:24:36 UTC
Version:            (using KDE KDE 3.4.0)
Installed from:    Unlisted Binary Package
OS:                Linux

When I browse a Windows domain with Konqueror smb:// I can right-click in a machine and
select an option from the menu called "Open Remote Desktop Connection to this machine".

If I click it krdc is opened with a "smb://machinename/" URL, which krdc doesn't like at all :P. I'm not sure if the bug should be assigned to krdc (for not managing or translating smb:// urls to rdp:// ones) or Konqueror (for feeding a smb:// URL to krdc when krdc doesn't support it).

Best regards
Comment 1 Andreas Kling 2006-07-16 16:32:12 UTC
SVN commit 563039 by kling:

Handle "smb:/" as well as "smb://" URLs, since both are valid (or at least possible.)

BUG: 103932


 M  +2 -2      krdc.cpp  


--- branches/KDE/3.5/kdenetwork/krdc/krdc.cpp #563038:563039
@@ -293,8 +293,8 @@
 	password = QString::null;
 
 	if (prot == PROTOCOL_AUTO) {
-		if(s.startsWith("smb://")>0) {  //we know it's more likely to be windows..
-			s = "rdp://" + s.section("smb://", 1);
+		if(s.startsWith("smb:/")>0) {  //we know it's more likely to be windows..
+			s = "rdp:/" + s.section("smb:/", 1);
 			prot = PROTOCOL_RDP;
 		} else if(s.contains("://") > 0) {
 			s = s.section("://",1);
Comment 2 David Trebacz 2008-01-11 02:54:15 UTC
This bug stills seems to exists as presented. I'm using KDE 3.5.8 with krdc. The behavior is the same as listed above. The message that I get after right clicking on the server share "Open Remote Desktop Connection to this machine" is:

After confirming the remote session settings is:

Connection attempt to host failed.

smb://corte-gx-260/ where "corte-gx-260" is the windows machine name

if I connect to the windows machine using the ip address of the machine

rdp:/192.168.0.199

it connects just fine.

The same behavior is also observed in Dolphin.

It would seem that this is a krdc issue with Samba shares?